---
title: llarp::quic::io_result

---

# llarp::quic::io_result





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[operator bool](Classes/structllarp_1_1quic_1_1io__result.md#function-operator-bool)**() const |
| bool | **[blocked](Classes/structllarp_1_1quic_1_1io__result.md#function-blocked)**() const |
| std::string_view | **[str](Classes/structllarp_1_1quic_1_1io__result.md#function-str)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| int | **[error_code](Classes/structllarp_1_1quic_1_1io__result.md#variable-error-code)**  |

## Public Functions Documentation

### function operator bool

```cpp
inline operator bool() const
```


### function blocked

```cpp
inline bool blocked() const
```


### function str

```cpp
inline std::string_view str() const
```


## Public Attributes Documentation

### variable error_code

```cpp
int error_code {0};
```


-------------------------------

Updated on 2023-01-26 at 19:35:17 +0000